--SELECT TOP 1 * FROM C6MartPeriodico.VCONTRATTI
--[C6MartPeriodico].[GESTIONE_SELECT_LETTERE_DA_INVIARE]'F','AA@55670',1,-1
CREATE procedure [C6MartPeriodico].[RP_GESTIONE_SELECT_LETTERE_DA_INVIARE]
	@rete as varchar(1) = '',
	@cf as varchar(16) = '',
	@codiceLettera as smallint = null,
	--vedere se questa cosa ha senso
--	@dataRichiestaRistampa as datetime = null,
	@idReport as int,
	@tipoReport as varchar(20) = ''
AS
BEGIN
	declare @dataRichiestaRistampa as datetime
	set @dataRichiestaRistampa = getDate()
--declare @prova as varchar(10)
--select @prova = 'AA@55670'
--select @prova
--select charindex('@',@prova)
	SELECT
			dbo.getAppellativo(aclie.sesso,aclie.cod_fiscale) as appellativo,
			--Modifica per le persone giuridiche
			CASE 
				WHEN LEN(csei.cod_fiscale) = 11 or CHARINDEX('@',csei.cod_fiscale) > 0
					THEN aclie.cognome --+ 'JJ'
					ELSE aclie.nome
			END	AS nome,
			--aclie.nome as nome,
			CASE
				WHEN LEN(csei.cod_fiscale) = 11
					THEN aclie.nome
					ELSE CASE WHEN CHARINDEX('@',csei.cod_fiscale) > 0 
							THEN aclie.nome + ' - ' + substring(csei.cod_fiscale,CHARINDEX('@',csei.cod_fiscale)+1,LEN(csei.cod_fiscale))
					ELSE
						aclie.cognome
					END	
			END	AS cognome,
			--aclie.cognome as cognome,
			csei.indirizzo + (case isnull(csei.presso,'') when '' then '' else CHAR(13) + 'C/O ' + csei.presso end) as via,
			csei.citta as localita,
			--csei.prov as provincia,
			--V modificata il campo provincia viene scritto tra parentesi (PROVINCIA). NEl caso di nazione estera non viene valorizzato
			--quindi viene usato per la nazione
			case when (upper(csei.nazione) <> 'ITALIA') then csei.nazione else csei.PROVINCIA end as provincia,
			csei.cap as cap,
			dbo.Replace_Oggetto_Lettera_Benvenuto(
						csei.CodiceContratto,
						aclie.cognome,
						aclie.nome,tla.[OGGETTO],
						@tipoReport
						) as oggetto,
--DA TOGLIERE
			csei.codiceContratto as CodiceContratto,
			dbo.Replace_Testo_Lettera_Benvenuto(	
												csei.CodiceContratto,
												csei.freq_Diagnosi,
												csei.freq_MONITORAGGIO,
												aclie.cognome,
												aclie.nome, 
												@tipoReport,
												csei.indirizzo,
												csei.DATA_INZIOAVANZATO,
												@dataRichiestaRistampa,
												gpdf.DataGenerazione,
												tla.[TESTO]
											) as testo,
			dbo.replace_Firma_Lettera_Benvenuto(tla.firma) as firma
		FROM	
			[C6MartPeriodico].[TESTO_LETTERA_ACCETTAZIONE] tla,	
			[C6MartPeriodico].[VCONTRATTI] csei
			JOIN
			C6MartPeriodico.CONTRATTOSEI_METADATI META
			ON
				META.CHIAVECLIENTEPB= CSEI.CHIAVECLIENTEPB
			INNER JOIN
			[C6MartPeriodico].[ANAG_CLIENTI] aclie
			on
				csei.rete = aclie.rete and
				csei.cod_fiscale = aclie.cod_fiscale
			LEFT OUTER JOIN
			C6MartPeriodico.GESTIONE_PDF_FTP gpdf
			on
				gpdf.rete = csei.rete and
				gpdf.codiceFiscale = csei.cod_fiscale
		WHERE
			csei.rete = @rete and
			csei.cod_Fiscale = @cf and
			csei.data_fineAvanzato > getDate() and
			tla.id = @codiceLettera and
			(gpdf.idReport = @idReport or @idreport = -1) 
END